/*
 * dskel-ioctl.h
 *
 *  Created on: 22.6.2011
 *      Author: emlin
 */

#ifndef DSKEL_IOCTL_H_
#define DSKEL_IOCTL_H_

#include <linux/ioctl.h>

/*
 * zvolem si pokud mozno unikatni cislo, tzn. magic number ktere neni
 * v Documentation/ioctl/ioctl-number.txt
 */
#define DSKEL_MAGIC_NO		0xE0

/*
 * seznam prikazu:
 *  DSKEL_GET_PARAM - vycte parametr
 *  DSKEL_SET_PARAM - nastavi parametr
 *  DSKEL_TIMER_ON - zapne casovac s danou periodou
 *  DSKEL_TIMER_OFF - vypne casovac
 */
#define DSKEL_GET_PARAM		_IOR(DSKEL_MAGIC_NO, 0, int *)
#define	DSKEL_SET_PARAM		_IOW(DSKEL_MAGIC_NO, 1, int *)

#define DSKEL_TIMER_ON		_IOR(DSKEL_MAGIC_NO, 2, int *)
#define	DSKEL_TIMER_OFF		_IO(DSKEL_MAGIC_NO, 3)

/*
 * Nejvyssi poradove cislo prikazu - pouze ke kontrolnim ucelum v ovladaci.
 * POZOR !!! Nezapomen aktualizovat po pridani noveho prikazu
 */
#define DSKEL_MAX_CMD_NR	3

#endif /* DSKEL_IOCTL_H_ */
